Update Droplet
Update a droplet.
The unique identifier for the resource
Droplet object that needs to be updated
Show optional properties
{
"image": "string"
}
{
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"image": "string"
}
Metadata is a JSON object that contains information about a resource. It includes the GUID of the resource, the time the resource was created, the time the resource was last updated, and links to the resource. Metadata is included in the response body of a request to retrieve a resource.
Image reference where the built complete image was stored
Successfully retrieved droplet
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"state": "string",
"error": "string",
"lifecycle": {
"type": "string",
"data": {
"buildpacks": [
"string"
],
"stack": "string",
"credentials": {
"credentials": {
"username": "string",
"password": "string",
"token": "string"
}
}
}
},
"execution_metadata": "string",
"process_types": {},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"package": {
"href": "string",
"method": "string"
},
"app": {
"href": "string",
"method": "string"
},
"assign_current_droplet": {
"href": "string",
"method": "string"
},
"download": {
"href": "string",
"method": "string"
},
"upload": {
"href": "string",
"method": "string"
}
},
"checksum": {
"type": "string",
"value": "string"
},
"buildpacks": [
{
"name": "string",
"detect_output": "string",
"version": "string",
"buildpack_name": "string"
}
],
"stack": "string",
"image": "string"
}
Bad Request
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unauthorized
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Forbidden
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Not Found
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Conflict
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unprocessable Entity
{
"code": 0,
"detail": "string",
"title": "string"
}
A numeric code for this error
Detailed description of the error
Name of the error
Internal Server Error
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Service Unavailable
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"image":"string"}'